        !COMPILER-GENERATED INTERFACE MODULE: Sat Feb 12 13:24:46 2022
        ! This source file is for reference only and may not completely
        ! represent the generated interface used by the compiler.
        MODULE PARCHK__genmod
          INTERFACE 
            SUBROUTINE PARCHK(KIND,M,ALPHA,BETA)
              INTEGER(KIND=4) :: KIND
              INTEGER(KIND=4) :: M
              REAL(KIND=8) :: ALPHA
              REAL(KIND=8) :: BETA
            END SUBROUTINE PARCHK
          END INTERFACE 
        END MODULE PARCHK__genmod
